Bug 83115 - Installation / kernel issues with SIS5513 IDE controller / ASUS A7S266VM mobo
Summary: Installation / kernel issues with SIS5513 IDE controller / ASUS A7S266VM mobo
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: athlon Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://www.uwsg.iu.edu/hypermail/linu...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 13:57 UTC by Paul Rogers
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Rogers 2003-01-30 13:57:40 UTC
Unable to install RH8.0 due to disk / data corruption issues with the following 
configuration:

Asus A7S266VM mobo (SiS5513 IDE chipset, SiS740 North bridge, SiS961B South 
bridge)
x2 Maxtor 7200 30Gb IDE ATA133 (1st master and slave)
48x IDE CDROM drive (2nd slave)
x1 Advansys SCSI controller (old - about 2 years old, can't remember model 
number, at work currently)
x1 IBM 9Gb SCSI HDD (old - about 2 years old)
x1 Panasonic 3.5" floppy drive

Problems with getting PCI controller to auto-detect.
Problems with using the SiS5513 IDE controller on the mobo - seems to be 
corrupting data / freezing the installation.

I downloaded the ISO images, MD5 checksummed them.
I let the installer verify the media.
Installer would not detect my SCSI or NIC unless I append "pci=bios" to the 
LILO boot string ??

Once this was sorted, I began experiencing partitioning problems (with both 
fdisk and disk druid) where the system would freeze when attempting to create a 
partition that utilised the last cylinder on the slave disk. Swapped round the 
master and slave, as well as swapping out drives and experienced the same 
problems.

I got round this issue by not using the last cylinder (got the idea from 
Windows XP installations) on the slave and the installation proceeded as 
expected.

Installation finished (with ext3 formatted filesystems) and machine rebooted. 
But upon attempting to load INIT, I began seeing the following errors:

hda: dma_intr: status=0x51 { DriveReady SeekComplete Error } 

Fsck then reports disk errors after the ext3 journalling "loaded" and enters 
system maintanence mode. Upon "repairing" the errors, the system reboots and 
when the kernel attempts to mount the root partition, it cannot find it.
From what I can find on the net and from my own hunches I think it is a mobo 
issue and have found articles that kernel 2.4.20 fixes similar issues with the 
SiS5513 IDE controller. What I want to know is, am I right or wrong? And how 
can I get RH 8.0 onto this system.

Comment 1 Bugzilla owner 2004-09-30 15:40:28 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.